| Version: 3.3.1

Public Member Functions | Protected Attributes | List of all members
wxAuiGenericTabArt Class Reference
Class List by Category » Window Docking (wxAUI)

`#include <wx/aui/auibook.h>`

Inheritance diagram for wxAuiGenericTabArt:
[legend]

## Detailed Description

An art provider for wxAuiNotebook implementing "glossy" look.

This art provider is used as fallback art provider for wxAuiNativeTabArt if there is no native tab art provider, but may also be used directly.

See also
  wxAuiTabArt

Appearance:

Generic Appearance

##

Library: wxAui
Category: Window Docking (wxAUI)

## Public Member Functions
| wxAuiGenericTabArt ()
virtual | ~wxAuiGenericTabArt ()
wxAuiTabArt * | Clone ()
| Clones the art object. More...
void | SetFlags (unsigned int flags)
| Sets flags. More...
void | SetSizingInfo (const wxSize &tabCtrlSize, size_t tabCount, wxWindow *wnd=nullptr)
| Sets sizing information. More...
void | SetNormalFont (const wxFont &font)
| Sets the normal font for drawing labels. More...
void | SetSelectedFont (const wxFont &font)
| Sets the font for drawing text for selected UI elements. More...
void | SetMeasuringFont (const wxFont &font)
| Sets the font used for calculating measurements. More...
void | SetColour (const wxColour &colour)
| Sets the colour of the inactive tabs. More...
void | SetActiveColour (const wxColour &colour)
| Sets the colour of the selected tab. More...
void | DrawBackground (wxDC &dc, wxWindow *wnd, const wxRect &rect)
| Draws a background on the given area. More...
void | DrawTab (wxDC &dc, wxWindow *wnd, const wxAuiNotebookPage &pane, const wxRect &inRect, int closeButtonState, wxRect *outTabRect, wxRect *outButtonRect, int *xExtent)
| Draws a tab. More...
void | DrawButton (wxDC &dc, wxWindow *wnd, const wxRect &inRect, int bitmapId, int buttonState, int orientation, wxRect *outRect)
| Draws a button. More...
int | GetIndentSize ()
| Returns the indent size. More...
wxSize | GetTabSize (wxReadOnlyDC &dc, wxWindow *wnd, const wxString &caption, const wxBitmapBundle &bitmap, bool active, int closeButtonState, int *xExtent)
| Returns the tab size for the given caption, bitmap and state. More...
int | ShowDropDown (wxWindow *wnd, const wxAuiNotebookPageArray &items, int activeIdx)
int | GetBestTabCtrlSize (wxWindow *wnd, const wxAuiNotebookPageArray &pages, const wxSize &requiredBmpSize)
| Returns the tab control size. More...
Public Member Functions inherited from wxAuiTabArt
| wxAuiTabArt ()
| Constructor. More...
virtual int | DrawPageTab (wxDC &dc, wxWindow *wnd, wxAuiNotebookPage &page, const wxRect &rect)
| Draws a tab for the specified notebook page. More...
virtual wxFont | GetNormalFont () const
| Returns the font to use for normal, non-selected, tabs. More...
virtual wxFont | GetSelectedFont () const
| Returns the font to use for the selected tab. More...
virtual wxSize | GetPageTabSize (wxReadOnlyDC &dc, wxWindow *wnd, const wxAuiNotebookPage &page, int *xExtent=nullptr)
| Returns the size of the tab for the specified notebook page. More...
virtual int | GetButtonRect (wxReadOnlyDC &dc, wxWindow *wnd, const wxRect &inRect, int bitmapId, int buttonState, int orientation, wxRect *outRect=nullptr)
| Returns the rectangle for the given button. More...

## Protected Attributes
wxFont | m_normalFont
| The font used for all tabs. More...
wxFont | m_selectedFont
wxFont | m_measuringFont
| The font used on the selected tab. More...
wxColour | m_baseColour
wxPen | m_baseColourPen
wxPen | m_borderPen
wxBrush | m_baseColourBrush
wxColour | m_activeColour
wxBitmapBundle | m_activeCloseBmp
wxBitmapBundle | m_disabledCloseBmp
wxBitmapBundle | m_activeLeftBmp
wxBitmapBundle | m_disabledLeftBmp
wxBitmapBundle | m_activeRightBmp
wxBitmapBundle | m_disabledRightBmp
wxBitmapBundle | m_activeWindowListBmp
wxBitmapBundle | m_disabledWindowListBmp
int | m_fixedTabWidth
int | m_tabCtrlHeight
unsigned int | m_flags

## Constructor & Destructor Documentation

## ◆ wxAuiGenericTabArt()

wxAuiGenericTabArt::wxAuiGenericTabArt | ( |  | ) |

## ◆ ~wxAuiGenericTabArt()

virtual wxAuiGenericTabArt::~wxAuiGenericTabArt | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ Clone()

wxAuiTabArt* wxAuiGenericTabArt::Clone | ( |  | ) |
| virtual

Clones the art object.

Implements wxAuiTabArt.

## ◆ DrawBackground()

void wxAuiGenericTabArt::DrawBackground | ( | wxDC & | dc,
|  | wxWindow * | wnd,
|  | const wxRect & | rect
| ) |  |
| virtual

Draws a background on the given area.

Implements wxAuiTabArt.

## ◆ DrawButton()

void wxAuiGenericTabArt::DrawButton | ( | wxDC & | dc,
|  | wxWindow * | wnd,
|  | const wxRect & | in_rect,
|  | int | bitmap_id,
|  | int | button_state,
|  | int | orientation,
|  | wxRect * | out_rect
| ) |  |
| virtual

Draws a button.

Implements wxAuiTabArt.

## ◆ DrawTab()

void wxAuiGenericTabArt::DrawTab | ( | wxDC & | dc,
|  | wxWindow * | wnd,
|  | const wxAuiNotebookPage & | page,
|  | const wxRect & | rect,
|  | int | close_button_state,
|  | wxRect * | out_tab_rect,
|  | wxRect * | out_button_rect,
|  | int * | x_extent
| ) |  |
| virtual

Draws a tab.

This function used to be pure virtual and so had to be overridden in the derived classes in the previous versions of wxWidgets, however since version 3.3.0 it doesn't have to be overridden if DrawPageTab() is overridden and, moreover, it is recommended to override DrawPageTab() instead of this function in the new code.

Reimplemented from wxAuiTabArt.

## ◆ GetBestTabCtrlSize()

int wxAuiGenericTabArt::GetBestTabCtrlSize | ( | wxWindow * | ,
|  | const wxAuiNotebookPageArray & | ,
|  | const wxSize & |
| ) |  |
| virtual

Returns the tab control size.

Implements wxAuiTabArt.

## ◆ GetIndentSize()

int wxAuiGenericTabArt::GetIndentSize | ( |  | ) |
| virtual

Returns the indent size.

Implements wxAuiTabArt.

## ◆ GetTabSize()

wxSize wxAuiGenericTabArt::GetTabSize | ( | wxReadOnlyDC & | dc,
|  | wxWindow * | wnd,
|  | const wxString & | caption,
|  | const wxBitmapBundle & | bitmap,
|  | bool | active,
|  | int | close_button_state,
|  | int * | x_extent
| ) |  |
| virtual

Returns the tab size for the given caption, bitmap and state.

This function used to be pure virtual and so had to be overridden in the derived classes in the previous versions of wxWidgets, however since version 3.3.0 it doesn't have to be overridden if GetPageTabSize() is overridden and it is recommended to override GetPageTabSize() instead of this function in the new code.

Reimplemented from wxAuiTabArt.

## ◆ SetActiveColour()

void wxAuiGenericTabArt::SetActiveColour | ( | const wxColour & | colour | ) |
| virtual

Sets the colour of the selected tab.

Since
  2.9.2

Implements wxAuiTabArt.

## ◆ SetColour()

void wxAuiGenericTabArt::SetColour | ( | const wxColour & | colour | ) |
| virtual

Sets the colour of the inactive tabs.

Since
  2.9.2

Implements wxAuiTabArt.

## ◆ SetFlags()

void wxAuiGenericTabArt::SetFlags | ( | unsigned int | flags | ) |
| virtual

Sets flags.

Implements wxAuiTabArt.

## ◆ SetMeasuringFont()

void wxAuiGenericTabArt::SetMeasuringFont | ( | const wxFont & | font | ) |
| virtual

Sets the font used for calculating measurements.

Implements wxAuiTabArt.

## ◆ SetNormalFont()

void wxAuiGenericTabArt::SetNormalFont | ( | const wxFont & | font | ) |
| virtual

Sets the normal font for drawing labels.

See also
  GetNormalFont()

Implements wxAuiTabArt.

## ◆ SetSelectedFont()

void wxAuiGenericTabArt::SetSelectedFont | ( | const wxFont & | font | ) |
| virtual

Sets the font for drawing text for selected UI elements.

See also
  GetSelectedFont()

Implements wxAuiTabArt.

## ◆ SetSizingInfo()

void wxAuiGenericTabArt::SetSizingInfo | ( | const wxSize & | tab_ctrl_size,
|  | size_t | tab_count,
|  | wxWindow * | wnd = `nullptr`
| ) |  |
| virtual

Sets sizing information.

The wnd argument is only present in wxWidgets 3.1.6 and newer and is required, it only has nullptr default value for compatibility reasons.

Implements wxAuiTabArt.

## ◆ ShowDropDown()

int wxAuiGenericTabArt::ShowDropDown | ( | wxWindow * | wnd,
|  | const wxAuiNotebookPageArray & | items,
|  | int | activeIdx
| ) |  |

## Member Data Documentation

## ◆ m_activeCloseBmp

wxBitmapBundle wxAuiGenericTabArt::m_activeCloseBmp
| protected

## ◆ m_activeColour

wxColour wxAuiGenericTabArt::m_activeColour
| protected

## ◆ m_activeLeftBmp

wxBitmapBundle wxAuiGenericTabArt::m_activeLeftBmp
| protected

## ◆ m_activeRightBmp

wxBitmapBundle wxAuiGenericTabArt::m_activeRightBmp
| protected

## ◆ m_activeWindowListBmp

wxBitmapBundle wxAuiGenericTabArt::m_activeWindowListBmp
| protected

## ◆ m_baseColour

wxColour wxAuiGenericTabArt::m_baseColour
| protected

## ◆ m_baseColourBrush

wxBrush wxAuiGenericTabArt::m_baseColourBrush
| protected

## ◆ m_baseColourPen

wxPen wxAuiGenericTabArt::m_baseColourPen
| protected

## ◆ m_borderPen

wxPen wxAuiGenericTabArt::m_borderPen
| protected

## ◆ m_disabledCloseBmp

wxBitmapBundle wxAuiGenericTabArt::m_disabledCloseBmp
| protected

## ◆ m_disabledLeftBmp

wxBitmapBundle wxAuiGenericTabArt::m_disabledLeftBmp
| protected

## ◆ m_disabledRightBmp

wxBitmapBundle wxAuiGenericTabArt::m_disabledRightBmp
| protected

## ◆ m_disabledWindowListBmp

wxBitmapBundle wxAuiGenericTabArt::m_disabledWindowListBmp
| protected

## ◆ m_fixedTabWidth

int wxAuiGenericTabArt::m_fixedTabWidth
| protected

## ◆ m_flags

unsigned int wxAuiGenericTabArt::m_flags
| protected

## ◆ m_measuringFont

wxFont wxAuiGenericTabArt::m_measuringFont
| protected

The font used on the selected tab.

## ◆ m_normalFont

wxFont wxAuiGenericTabArt::m_normalFont
| protected

The font used for all tabs.

## ◆ m_selectedFont

wxFont wxAuiGenericTabArt::m_selectedFont
| protected

## ◆ m_tabCtrlHeight

int wxAuiGenericTabArt::m_tabCtrlHeight
| protected